libsigc++ 2.0: Compatibility module

Main Page Groups Namespaces

# Compatibility module

This set of types and functions provides an API that is compatible to libsigc++-1.2. More...

## Classes
class | SigC::Signal0<T_return, T_accumulator>
| Signal declaration. More...
class | SigC::Signal1<T_return, T_arg1, T_accumulator>
| Signal declaration. More...
class | SigC::Signal2<T_return, T_arg1, T_arg2, T_accumulator>
| Signal declaration. More...
class | SigC::Signal3<T_return, T_arg1, T_arg2, T_arg3, T_accumulator>
| Signal declaration. More...
class | SigC::Signal4<T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_accumulator>
| Signal declaration. More...
class | SigC::Signal5<T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_accumulator>
| Signal declaration. More...
class | SigC::Signal6<T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_accumulator>
| Signal declaration. More...
class | SigC::Signal7<T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7, T_accumulator>
| Signal declaration. More...
class | SigC::Slot0<T_return>
| Converts an arbitrary functor to a unified type which is opaque. More...
class | SigC::Slot1<T_return, T_arg1>
| Converts an arbitrary functor to a unified type which is opaque. More...
class | SigC::Slot2<T_return, T_arg1, T_arg2>
| Converts an arbitrary functor to a unified type which is opaque. More...
class | SigC::Slot3<T_return, T_arg1, T_arg2, T_arg3>
| Converts an arbitrary functor to a unified type which is opaque. More...
class | SigC::Slot4<T_return, T_arg1, T_arg2, T_arg3, T_arg4>
| Converts an arbitrary functor to a unified type which is opaque. More...
class | SigC::Slot5<T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5>
| Converts an arbitrary functor to a unified type which is opaque. More...
class | SigC::Slot6<T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6>
| Converts an arbitrary functor to a unified type which is opaque. More...
class | SigC::Slot7<T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>
| Converts an arbitrary functor to a unified type which is opaque. More...
## Typedefs
typedef ::sigc::connection | SigC::Connection
| Convinience class for safe disconnection.
## Functions
template<class T_return, class T_obj>
Slot0<T_return> | SigC::slot_class (T_obj& _A_obj, T_return(T_obj::* _A_func)())
| Creates a functor of type SigC::Slot0 that encapsulates a method and an object instance.
template<class T_return, class T_arg1, class T_obj>
Slot1<T_return, T_arg1> | SigC::slot_class (T_obj& _A_obj, T_return(T_obj::* _A_func)(T_arg1))
| Creates a functor of type SigC::Slot1 that encapsulates a method and an object instance.
template<class T_return, class T_arg1, class T_arg2, class T_obj>
Slot2< T_return, T_arg1, T_arg2 > | SigC::slot_class (T_obj& _A_obj, T_return(T_obj::* _A_func)(T_arg1, T_arg2))
| Creates a functor of type SigC::Slot2 that encapsulates a method and an object instance.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_obj>
Slot3< T_return, T_arg1, T_arg2, T_arg3 > | SigC::slot_class (T_obj& _A_obj, T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3))
| Creates a functor of type SigC::Slot3 that encapsulates a method and an object instance.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_obj>
Slot4< T_return, T_arg1, T_arg2, T_arg3, T_arg4 > | SigC::slot_class (T_obj& _A_obj, T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4))
| Creates a functor of type SigC::Slot4 that encapsulates a method and an object instance.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_obj>
Slot5< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | SigC::slot_class (T_obj& _A_obj, T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5))
| Creates a functor of type SigC::Slot5 that encapsulates a method and an object instance.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_obj>
Slot6< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | SigC::slot_class (T_obj& _A_obj, T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6))
| Creates a functor of type SigC::Slot6 that encapsulates a method and an object instance.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7, class T_obj>
Slot7< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | SigC::slot_class (T_obj& _A_obj, T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7))
| Creates a functor of type SigC::Slot7 that encapsulates a method and an object instance.
template<class T_return, class T_obj>
Slot0<T_return> | SigC::slot_class (const T_obj& _A_obj, T_return(T_obj::* _A_func)() const)
| Creates a functor of type SigC::Slot0 that encapsulates a const method and an object instance.
template<class T_return, class T_arg1, class T_obj>
Slot1<T_return, T_arg1> | SigC::slot_class (const T_obj& _A_obj, T_return(T_obj::* _A_func)(T_arg1) const)
| Creates a functor of type SigC::Slot1 that encapsulates a const method and an object instance.
template<class T_return, class T_arg1, class T_arg2, class T_obj>
Slot2< T_return, T_arg1, T_arg2 > | SigC::slot_class (const T_obj& _A_obj, T_return(T_obj::* _A_func)(T_arg1, T_arg2) const)
| Creates a functor of type SigC::Slot2 that encapsulates a const method and an object instance.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_obj>
Slot3< T_return, T_arg1, T_arg2, T_arg3 > | SigC::slot_class (const T_obj& _A_obj, T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3) const)
| Creates a functor of type SigC::Slot3 that encapsulates a const method and an object instance.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_obj>
Slot4< T_return, T_arg1, T_arg2, T_arg3, T_arg4 > | SigC::slot_class (const T_obj& _A_obj, T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4) const)
| Creates a functor of type SigC::Slot4 that encapsulates a const method and an object instance.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_obj>
Slot5< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | SigC::slot_class (const T_obj& _A_obj, T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) const)
| Creates a functor of type SigC::Slot5 that encapsulates a const method and an object instance.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_obj>
Slot6< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | SigC::slot_class (const T_obj& _A_obj, T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) const)
| Creates a functor of type SigC::Slot6 that encapsulates a const method and an object instance.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7, class T_obj>
Slot7< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | SigC::slot_class (const T_obj& _A_obj, T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) const)
| Creates a functor of type SigC::Slot7 that encapsulates a const method and an object instance.
template<class T_return, class T_obj>
Slot1< T_return, T_obj& > | SigC::slot (T_return(T_obj::* _A_func)())
| Creates a functor of type Sigc::Slot1 that wraps a method.
template<class T_return, class T_arg1, class T_obj>
Slot2< T_return, T_obj&, T_arg1 > | SigC::slot (T_return(T_obj::* _A_func)(T_arg1))
| Creates a functor of type Sigc::Slot2 that wraps a method.
template<class T_return, class T_arg1, class T_arg2, class T_obj>
Slot3< T_return, T_obj &, T_arg1, T_arg2 > | SigC::slot (T_return(T_obj::* _A_func)(T_arg1, T_arg2))
| Creates a functor of type Sigc::Slot3 that wraps a method.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_obj>
Slot4< T_return, T_obj &, T_arg1, T_arg2, T_arg3 > | SigC::slot (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3))
| Creates a functor of type Sigc::Slot4 that wraps a method.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_obj>
Slot5< T_return, T_obj &, T_arg1, T_arg2, T_arg3, T_arg4 > | SigC::slot (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4))
| Creates a functor of type Sigc::Slot5 that wraps a method.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_obj>
Slot6< T_return, T_obj &, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | SigC::slot (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5))
| Creates a functor of type Sigc::Slot6 that wraps a method.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_obj>
Slot7< T_return, T_obj &, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | SigC::slot (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6))
| Creates a functor of type Sigc::Slot7 that wraps a method.
template<class T_return, class T_obj1, class T_obj2>
Slot0<T_return> | SigC::slot (T_obj1& _A_obj, T_return(T_obj2::* _A_func)())
| Creates a functor of type SigC::Slot0 that encapsulates a method and an object instance.
template<class T_return, class T_arg1, class T_obj1, class T_obj2>
Slot1<T_return, T_arg1> | SigC::slot (T_obj1& _A_obj, T_return(T_obj2::* _A_func)(T_arg1))
| Creates a functor of type SigC::Slot1 that encapsulates a method and an object instance.
template<class T_return, class T_arg1, class T_arg2, class T_obj1, class T_obj2>
Slot2< T_return, T_arg1, T_arg2 > | SigC::slot (T_obj1& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2))
| Creates a functor of type SigC::Slot2 that encapsulates a method and an object instance.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_obj1, class T_obj2>
Slot3< T_return, T_arg1, T_arg2, T_arg3 > | SigC::slot (T_obj1& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3))
| Creates a functor of type SigC::Slot3 that encapsulates a method and an object instance.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_obj1, class T_obj2>
Slot4< T_return, T_arg1, T_arg2, T_arg3, T_arg4 > | SigC::slot (T_obj1& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4))
| Creates a functor of type SigC::Slot4 that encapsulates a method and an object instance.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_obj1, class T_obj2>
Slot5< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | SigC::slot (T_obj1& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5))
| Creates a functor of type SigC::Slot5 that encapsulates a method and an object instance.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_obj1, class T_obj2>
Slot6< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | SigC::slot (T_obj1& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6))
| Creates a functor of type SigC::Slot6 that encapsulates a method and an object instance.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7, class T_obj1, class T_obj2>
Slot7< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | SigC::slot (T_obj1& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7))
| Creates a functor of type SigC::Slot7 that encapsulates a method and an object instance.
template<class T_return, class T_obj1, class T_obj2>
Slot0<T_return> | SigC::slot (const T_obj1& _A_obj, T_return(T_obj2::* _A_func)() const)
| Creates a functor of type SigC::Slot0 that encapsulates a const method and an object instance.
template<class T_return, class T_arg1, class T_obj1, class T_obj2>
Slot1<T_return, T_arg1> | SigC::slot (const T_obj1& _A_obj, T_return(T_obj2::* _A_func)(T_arg1) const)
| Creates a functor of type SigC::Slot1 that encapsulates a const method and an object instance.
template<class T_return, class T_arg1, class T_arg2, class T_obj1, class T_obj2>
Slot2< T_return, T_arg1, T_arg2 > | SigC::slot (const T_obj1& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2) const)
| Creates a functor of type SigC::Slot2 that encapsulates a const method and an object instance.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_obj1, class T_obj2>
Slot3< T_return, T_arg1, T_arg2, T_arg3 > | SigC::slot (const T_obj1& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3) const)
| Creates a functor of type SigC::Slot3 that encapsulates a const method and an object instance.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_obj1, class T_obj2>
Slot4< T_return, T_arg1, T_arg2, T_arg3, T_arg4 > | SigC::slot (const T_obj1& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4) const)
| Creates a functor of type SigC::Slot4 that encapsulates a const method and an object instance.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_obj1, class T_obj2>
Slot5< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | SigC::slot (const T_obj1& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) const)
| Creates a functor of type SigC::Slot5 that encapsulates a const method and an object instance.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_obj1, class T_obj2>
Slot6< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | SigC::slot (const T_obj1& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) const)
| Creates a functor of type SigC::Slot6 that encapsulates a const method and an object instance.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7, class T_obj1, class T_obj2>
Slot7< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | SigC::slot (const T_obj1& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) const)
| Creates a functor of type SigC::Slot7 that encapsulates a const method and an object instance.
template<class T_return>
Slot0<T_return> | SigC::slot (T_return(* _A_func)())
| Creates a functor of type SigC::Slot0 that wraps an existing non-member function.
template<class T_return, class T_arg1>
Slot1<T_return, T_arg1> | SigC::slot (T_return(* _A_func)(T_arg1))
| Creates a functor of type SigC::Slot1 that wraps an existing non-member function.
template<class T_return, class T_arg1, class T_arg2>
Slot2< T_return, T_arg1, T_arg2 > | SigC::slot (T_return(* _A_func)(T_arg1, T_arg2))
| Creates a functor of type SigC::Slot2 that wraps an existing non-member function.
template<class T_return, class T_arg1, class T_arg2, class T_arg3>
Slot3< T_return, T_arg1, T_arg2, T_arg3 > | SigC::slot (T_return(* _A_func)(T_arg1, T_arg2, T_arg3))
| Creates a functor of type SigC::Slot3 that wraps an existing non-member function.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4>
Slot4< T_return, T_arg1, T_arg2, T_arg3, T_arg4 > | SigC::slot (T_return(* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4))
| Creates a functor of type SigC::Slot4 that wraps an existing non-member function.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
Slot5< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | SigC::slot (T_return(* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5))
| Creates a functor of type SigC::Slot5 that wraps an existing non-member function.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
Slot6< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | SigC::slot (T_return(* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6))
| Creates a functor of type SigC::Slot6 that wraps an existing non-member function.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>
Slot7< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | SigC::slot (T_return(* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7))
| Creates a functor of type SigC::Slot7 that wraps an existing non-member function.

## Detailed Description

This set of types and functions provides an API that is compatible to libsigc++-1.2.

Some internal structures of libsigc++-1.2 are not available.

All types and functions that are defined in namespace SigC are deprecated. Use the new libsigc++2 API that is defined in namespace sigc.

## Typedef Documentation

typedef ::sigc::connection SigC::Connection

Convinience class for safe disconnection.

Iterators must not be used beyond the lifetime of the list they work on. A connection object can be created from a slot list iterator and may safely be used to disconnect the referred slot at any time (disconnect()). If the slot has already been destroyed, disconnect() does nothing. empty() or operator bool() can be used to test whether the connection is still active. The connection can be blocked (block(), unblock()).

This is possible because the connection object gets notified when the referred slot dies (notify()).

Deprecated:
  Use sigc::connection instead.

## Function Documentation

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>

Slot7<T_return, T_arg1,T_arg2,T_arg3,T_arg4,T_arg5,T_arg6,T_arg7> SigC::slot | ( | T_return(*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) | _A_func | ) | `[inline]`

Creates a functor of type SigC::Slot7 that wraps an existing non-member function.

Parameters:

  | _A_func | Pointer to function that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::ptr_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>

Slot6<T_return, T_arg1,T_arg2,T_arg3,T_arg4,T_arg5,T_arg6> SigC::slot | ( | T_return(*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) | _A_func | ) | `[inline]`

Creates a functor of type SigC::Slot6 that wraps an existing non-member function.

Parameters:

  | _A_func | Pointer to function that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::ptr_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>

Slot5<T_return, T_arg1,T_arg2,T_arg3,T_arg4,T_arg5> SigC::slot | ( | T_return(*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) | _A_func | ) | `[inline]`

Creates a functor of type SigC::Slot5 that wraps an existing non-member function.

Parameters:

  | _A_func | Pointer to function that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::ptr_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4>

Slot4<T_return, T_arg1,T_arg2,T_arg3,T_arg4> SigC::slot | ( | T_return(*)(T_arg1, T_arg2, T_arg3, T_arg4) | _A_func | ) | `[inline]`

Creates a functor of type SigC::Slot4 that wraps an existing non-member function.

Parameters:

  | _A_func | Pointer to function that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::ptr_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_arg3>

Slot3<T_return, T_arg1,T_arg2,T_arg3> SigC::slot | ( | T_return(*)(T_arg1, T_arg2, T_arg3) | _A_func | ) | `[inline]`

Creates a functor of type SigC::Slot3 that wraps an existing non-member function.

Parameters:

  | _A_func | Pointer to function that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::ptr_fun() instead.

template <class T_return, class T_arg1, class T_arg2>

Slot2<T_return, T_arg1,T_arg2> SigC::slot | ( | T_return(*)(T_arg1, T_arg2) | _A_func | ) | `[inline]`

Creates a functor of type SigC::Slot2 that wraps an existing non-member function.

Parameters:

  | _A_func | Pointer to function that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::ptr_fun() instead.

template <class T_return, class T_arg1>

Slot1<T_return, T_arg1> SigC::slot | ( | T_return(*)(T_arg1) | _A_func | ) | `[inline]`

Creates a functor of type SigC::Slot1 that wraps an existing non-member function.

Parameters:

  | _A_func | Pointer to function that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::ptr_fun() instead.

template <class T_return>

Slot0<T_return> SigC::slot | ( | T_return(*)() | _A_func | ) | `[inline]`

Creates a functor of type SigC::Slot0 that wraps an existing non-member function.

Parameters:

  | _A_func | Pointer to function that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::ptr_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7, class T_obj1, class T_obj2>

Slot7< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > SigC::slot | ( | const T_obj1 & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) const | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot7 that encapsulates a const method and an object instance.

Creates a functor of type SigC::Slot7 that encapsulates a const volatile method and an object instance.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_obj1, class T_obj2>

Slot6< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > SigC::slot | ( | const T_obj1 & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) const | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot6 that encapsulates a const method and an object instance.

Creates a functor of type SigC::Slot6 that encapsulates a const volatile method and an object instance.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_obj1, class T_obj2>

Slot5< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > SigC::slot | ( | const T_obj1 & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) const | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot5 that encapsulates a const method and an object instance.

Creates a functor of type SigC::Slot5 that encapsulates a const volatile method and an object instance.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_obj1, class T_obj2>

Slot4< T_return, T_arg1, T_arg2, T_arg3, T_arg4 > SigC::slot | ( | const T_obj1 & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4) const | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot4 that encapsulates a const method and an object instance.

Creates a functor of type SigC::Slot4 that encapsulates a const volatile method and an object instance.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_obj1, class T_obj2>

Slot3< T_return, T_arg1, T_arg2, T_arg3 > SigC::slot | ( | const T_obj1 & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3) const | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot3 that encapsulates a const method and an object instance.

Creates a functor of type SigC::Slot3 that encapsulates a const volatile method and an object instance.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_obj1, class T_obj2>

Slot2< T_return, T_arg1, T_arg2 > SigC::slot | ( | const T_obj1 & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2) const | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot2 that encapsulates a const method and an object instance.

Creates a functor of type SigC::Slot2 that encapsulates a const volatile method and an object instance.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_obj1, class T_obj2>

Slot1< T_return, T_arg1 > SigC::slot | ( | const T_obj1 & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1) const | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot1 that encapsulates a const method and an object instance.

Creates a functor of type SigC::Slot1 that encapsulates a const volatile method and an object instance.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_obj1, class T_obj2>

Slot0< T_return > SigC::slot | ( | const T_obj1 & | _A_obj,
|  | T_return(T_obj2::*)() const | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot0 that encapsulates a const method and an object instance.

Creates a functor of type SigC::Slot0 that encapsulates a const volatile method and an object instance.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7, class T_obj1, class T_obj2>

Slot7< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > SigC::slot | ( | T_obj1 & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot7 that encapsulates a method and an object instance.

Creates a functor of type SigC::Slot7 that encapsulates a volatile method and an object instance.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_obj1, class T_obj2>

Slot6< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > SigC::slot | ( | T_obj1 & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot6 that encapsulates a method and an object instance.

Creates a functor of type SigC::Slot6 that encapsulates a volatile method and an object instance.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_obj1, class T_obj2>

Slot5< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > SigC::slot | ( | T_obj1 & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot5 that encapsulates a method and an object instance.

Creates a functor of type SigC::Slot5 that encapsulates a volatile method and an object instance.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_obj1, class T_obj2>

Slot4< T_return, T_arg1, T_arg2, T_arg3, T_arg4 > SigC::slot | ( | T_obj1 & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4) | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot4 that encapsulates a method and an object instance.

Creates a functor of type SigC::Slot4 that encapsulates a volatile method and an object instance.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_obj1, class T_obj2>

Slot3< T_return, T_arg1, T_arg2, T_arg3 > SigC::slot | ( | T_obj1 & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3) | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot3 that encapsulates a method and an object instance.

Creates a functor of type SigC::Slot3 that encapsulates a volatile method and an object instance.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_obj1, class T_obj2>

Slot2< T_return, T_arg1, T_arg2 > SigC::slot | ( | T_obj1 & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2) | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot2 that encapsulates a method and an object instance.

Creates a functor of type SigC::Slot2 that encapsulates a volatile method and an object instance.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_obj1, class T_obj2>

Slot1< T_return, T_arg1 > SigC::slot | ( | T_obj1 & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1) | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot1 that encapsulates a method and an object instance.

Creates a functor of type SigC::Slot1 that encapsulates a volatile method and an object instance.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_obj1, class T_obj2>

Slot0< T_return > SigC::slot | ( | T_obj1 & | _A_obj,
|  | T_return(T_obj2::*)() | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot0 that encapsulates a method and an object instance.

Creates a functor of type SigC::Slot0 that encapsulates a volatile method and an object instance.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

_A_obj must be of a type that inherits from SigC::Object.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_obj>

Slot7< T_return, T_obj &, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > SigC::slot | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) | _A_func | ) | `[inline]`

Creates a functor of type Sigc::Slot7 that wraps a method.

Creates a functor of type Sigc::Slot7 that wraps a const volatile method.

Creates a functor of type Sigc::Slot7 that wraps a volatile method.

Creates a functor of type Sigc::Slot7 that wraps a const method.

Parameters:

  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

Parameters:

  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

Parameters:

  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

Parameters:

  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_obj>

Slot6< T_return, T_obj &, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > SigC::slot | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) | _A_func | ) | `[inline]`

Creates a functor of type Sigc::Slot6 that wraps a method.

Creates a functor of type Sigc::Slot6 that wraps a const volatile method.

Creates a functor of type Sigc::Slot6 that wraps a volatile method.

Creates a functor of type Sigc::Slot6 that wraps a const method.

Parameters:

  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

Parameters:

  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

Parameters:

  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

Parameters:

  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_obj>

Slot5< T_return, T_obj &, T_arg1, T_arg2, T_arg3, T_arg4 > SigC::slot | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4) | _A_func | ) | `[inline]`

Creates a functor of type Sigc::Slot5 that wraps a method.

Creates a functor of type Sigc::Slot5 that wraps a const volatile method.

Creates a functor of type Sigc::Slot5 that wraps a volatile method.

Creates a functor of type Sigc::Slot5 that wraps a const method.

Parameters:

  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

Parameters:

  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

Parameters:

  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

Parameters:

  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_obj>

Slot4< T_return, T_obj &, T_arg1, T_arg2, T_arg3 > SigC::slot | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3) | _A_func | ) | `[inline]`

Creates a functor of type Sigc::Slot4 that wraps a method.

Creates a functor of type Sigc::Slot4 that wraps a const volatile method.

Creates a functor of type Sigc::Slot4 that wraps a volatile method.

Creates a functor of type Sigc::Slot4 that wraps a const method.

Parameters:

  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

Parameters:

  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

Parameters:

  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

Parameters:

  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_obj>

Slot3< T_return, T_obj &, T_arg1, T_arg2 > SigC::slot | ( | T_return(T_obj::*)(T_arg1, T_arg2) | _A_func | ) | `[inline]`

Creates a functor of type Sigc::Slot3 that wraps a method.

Creates a functor of type Sigc::Slot3 that wraps a const volatile method.

Creates a functor of type Sigc::Slot3 that wraps a volatile method.

Creates a functor of type Sigc::Slot3 that wraps a const method.

Parameters:

  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

Parameters:

  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

Parameters:

  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

Parameters:

  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_obj>

Slot2< T_return, T_obj &, T_arg1 > SigC::slot | ( | T_return(T_obj::*)(T_arg1) | _A_func | ) | `[inline]`

Creates a functor of type Sigc::Slot2 that wraps a method.

Creates a functor of type Sigc::Slot2 that wraps a const volatile method.

Creates a functor of type Sigc::Slot2 that wraps a volatile method.

Creates a functor of type Sigc::Slot2 that wraps a const method.

Parameters:

  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

Parameters:

  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

Parameters:

  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

Parameters:

  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_obj>

Slot1< T_return, T_obj & > SigC::slot | ( | T_return(T_obj::*)() | _A_func | ) | `[inline]`

Creates a functor of type Sigc::Slot1 that wraps a method.

Creates a functor of type Sigc::Slot1 that wraps a const volatile method.

Creates a functor of type Sigc::Slot1 that wraps a volatile method.

Creates a functor of type Sigc::Slot1 that wraps a const method.

Parameters:

  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

Parameters:

  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

Parameters:

  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

Parameters:

  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7, class T_obj>

Slot7< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > SigC::slot_class | ( | const T_obj & | _A_obj,
|  | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) const | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot7 that encapsulates a const method and an object instance.

Creates a functor of type SigC::Slot7 that encapsulates a const volatile method and an object instance.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_obj>

Slot6< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > SigC::slot_class | ( | const T_obj & | _A_obj,
|  | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) const | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot6 that encapsulates a const method and an object instance.

Creates a functor of type SigC::Slot6 that encapsulates a const volatile method and an object instance.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_obj>

Slot5< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > SigC::slot_class | ( | const T_obj & | _A_obj,
|  | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) const | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot5 that encapsulates a const method and an object instance.

Creates a functor of type SigC::Slot5 that encapsulates a const volatile method and an object instance.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_obj>

Slot4< T_return, T_arg1, T_arg2, T_arg3, T_arg4 > SigC::slot_class | ( | const T_obj & | _A_obj,
|  | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4) const | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot4 that encapsulates a const method and an object instance.

Creates a functor of type SigC::Slot4 that encapsulates a const volatile method and an object instance.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_obj>

Slot3< T_return, T_arg1, T_arg2, T_arg3 > SigC::slot_class | ( | const T_obj & | _A_obj,
|  | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3) const | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot3 that encapsulates a const method and an object instance.

Creates a functor of type SigC::Slot3 that encapsulates a const volatile method and an object instance.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_obj>

Slot2< T_return, T_arg1, T_arg2 > SigC::slot_class | ( | const T_obj & | _A_obj,
|  | T_return(T_obj::*)(T_arg1, T_arg2) const | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot2 that encapsulates a const method and an object instance.

Creates a functor of type SigC::Slot2 that encapsulates a const volatile method and an object instance.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_obj>

Slot1< T_return, T_arg1 > SigC::slot_class | ( | const T_obj & | _A_obj,
|  | T_return(T_obj::*)(T_arg1) const | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot1 that encapsulates a const method and an object instance.

Creates a functor of type SigC::Slot1 that encapsulates a const volatile method and an object instance.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_obj>

Slot0< T_return > SigC::slot_class | ( | const T_obj & | _A_obj,
|  | T_return(T_obj::*)() const | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot0 that encapsulates a const method and an object instance.

Creates a functor of type SigC::Slot0 that encapsulates a const volatile method and an object instance.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7, class T_obj>

Slot7< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > SigC::slot_class | ( | T_obj & | _A_obj,
|  | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot7 that encapsulates a method and an object instance.

Creates a functor of type SigC::Slot7 that encapsulates a volatile method and an object instance.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_obj>

Slot6< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > SigC::slot_class | ( | T_obj & | _A_obj,
|  | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot6 that encapsulates a method and an object instance.

Creates a functor of type SigC::Slot6 that encapsulates a volatile method and an object instance.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_obj>

Slot5< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > SigC::slot_class | ( | T_obj & | _A_obj,
|  | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot5 that encapsulates a method and an object instance.

Creates a functor of type SigC::Slot5 that encapsulates a volatile method and an object instance.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_obj>

Slot4< T_return, T_arg1, T_arg2, T_arg3, T_arg4 > SigC::slot_class | ( | T_obj & | _A_obj,
|  | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4) | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot4 that encapsulates a method and an object instance.

Creates a functor of type SigC::Slot4 that encapsulates a volatile method and an object instance.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_obj>

Slot3< T_return, T_arg1, T_arg2, T_arg3 > SigC::slot_class | ( | T_obj & | _A_obj,
|  | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3) | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot3 that encapsulates a method and an object instance.

Creates a functor of type SigC::Slot3 that encapsulates a volatile method and an object instance.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_arg2, class T_obj>

Slot2< T_return, T_arg1, T_arg2 > SigC::slot_class | ( | T_obj & | _A_obj,
|  | T_return(T_obj::*)(T_arg1, T_arg2) | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot2 that encapsulates a method and an object instance.

Creates a functor of type SigC::Slot2 that encapsulates a volatile method and an object instance.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_arg1, class T_obj>

Slot1< T_return, T_arg1 > SigC::slot_class | ( | T_obj & | _A_obj,
|  | T_return(T_obj::*)(T_arg1) | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot1 that encapsulates a method and an object instance.

Creates a functor of type SigC::Slot1 that encapsulates a volatile method and an object instance.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

template <class T_return, class T_obj>

Slot0< T_return > SigC::slot_class | ( | T_obj & | _A_obj,
|  | T_return(T_obj::*)() | _A_func |
| ) |  |  | `[inline]`

Creates a functor of type SigC::Slot0 that encapsulates a method and an object instance.

Creates a functor of type SigC::Slot0 that encapsulates a volatile method and an object instance.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.

This function is part of the compatibility module and therefore deprecated. Use sigc::mem_fun() instead.

Parameters:

  | _A_obj | Reference to object instance the functor should operate on.
  | _A_func | Pointer to method that should be wrapped.

Returns:
  Functor that executes _A_func on invokation.

Deprecated:
  Use sigc::mem_fun() instead.